import React from 'react';

import PCNProxy from '@/modules/@common/components/PCNProxy/PCNProxy';
import List from '@/modules/feeds/SelfServeList/components/List';
import useIsSelfServeNewList from '@/modules/feeds/SelfServeList/useIsSelfServeNewList';
import Layout from '@/modules/layout';

function Feeds() {
  const shouldShowSelfServeList = useIsSelfServeNewList();

  return (
    <Layout>
      {shouldShowSelfServeList && <List />}

      {!shouldShowSelfServeList && <PCNProxy />}
    </Layout>
  );
}

export default Feeds;
